function group_bms_MM2017

%-----------------------------------------------------------------------
% function to run BMS for M&M2017 data set
%
% Author:   Sandra Iglesias
% Created:  2017-12-05
% Copyright (C) 2017 Institute for Biomedical Engineering
%                    University of Zurich and ETH Zurich
%-----------------------------------------------------------------------


modelType = {'est_respV',  'est_2l', 'est_rw'}; 
dirScans = 'E:\Documents_E\Seminars\M&M_Mantelstudium2017\MandM\MethodsAndModels\2017\Data\Results0001\';
maskScans = 'Sub*';
scans = dir(fullfile(dirScans,maskScans));
scans = {scans.name};

for i = 1:6
model_est1 = load([[dirScans],scans{i},'\behav\',modelType{1},'.mat']);
Group_est_respV.LME(i,1) = [model_est1.optim.LME];
model_est2 = load([[dirScans],scans{i},'\behav\',modelType{2},'.mat']);
Group_est_2l.LME(i,1) = [model_est2.optim.LME];
model_est3 = load([[dirScans],scans{i},'\behav\',modelType{3},'.mat']);
Group_est_rw.LME(i,1) = [model_est3.optim.LME];
end


BMS_input = [Group_est_respV.LME Group_est_2l.LME Group_est_rw.LME];
[alpha,exp_r,xp,pxp] = spm_BMS(BMS_input,1e6,1,1,1);
disp(exp_r);
figure; bar(exp_r);
figure; bar(xp);
figure; bar(pxp);
end