function single_hgf(t)

%-----------------------------------------------------------------------
% function to run HGF analyses for M&M2017 data set
%
% Author:   Sandra Iglesias
% Created:  2017-12-04
% Copyright (C) 2017 Institute for Biomedical Engineering
%                    University of Zurich and ETH Zurich
%-----------------------------------------------------------------------

addpath E:\Documents_E\Seminars\M&M_Mantelstudium2017\MandM\MethodsAndModels\MandM2017-analysis\HGF_v5.1

dirScans = 'E:\Documents_E\Seminars\M&M_Mantelstudium2017\MandM\MethodsAndModels\2017\Data\Results0001\';
dirFiles = 'E:\Documents_E\Seminars\M&M_Mantelstudium2017\MandM\MethodsAndModels\2017\Data\AllBehav\';
maskScans = 'Sub*';
maskfMRI = '\scandata';
maskGLM  = {'\glm\mb_run2'};
maskVersion = {'Arrow'};
regressorFile2 =  '\behav\BehavHGF02';
regressorFile3 =  '\behav\behavRun02';


scans = dir(fullfile(dirScans,maskScans));
scans = {scans.name};
try, iScans; catch; iScans = 1:length(scans); end
disp(['ffx analysis: ', maskVersion{1},]);
disp(' ');
%% load Files
BehavHGF02 = load([dirFiles,scans{t},regressorFile2,'.mat']);
behavRun02 = load([dirFiles,scans{t},regressorFile3,'.mat']);


for i= 1:121;
    if behavRun02.buttonValue(i,1) == 49;
        responseValue(i,1) =0;
    else responseValue(i,1)=1;
    end
end
responseValue(121) = [];
est_respV = tapas_fitModel(responseValue, BehavHGF02.trialLR);
tapas_hgf_binary_plotTraj(est_respV);
cd ([dirScans, scans{t}, '\behav']);  
save('est_respV.mat','-struct','est_respV');

est_2l=tapas_fitModel(responseValue, BehavHGF02.trialLR, 'tapas_hgf_binary_config_2l','tapas_unitsq_sgm_config','tapas_quasinewton_optim_config');
tapas_hgf_binary_plotTraj(est_2l);
cd ([dirScans, scans{t}, '\behav']);  
save('est_2l.mat','-struct','est_2l');

est_rw=tapas_fitModel(responseValue, BehavHGF02.trialLR, 'tapas_rw_binary_config','tapas_unitsq_sgm_config','tapas_quasinewton_optim_config');
tapas_rw_binary_plotTraj(est_rw);
cd ([dirScans, scans{t}, '\behav']);  
save('est_rw.mat','-struct','est_rw');

est_perc = tapas_fitModel([], BehavHGF02.trialLR, 'tapas_hgf_binary_config', 'tapas_bayes_optimal_binary_config', 'tapas_quasinewton_optim_config');
tapas_hgf_binary_plotTraj(est_perc);
cd ([dirScans, scans{t}, '\behav']);  
save('est_perc.mat','-struct','est_perc');

est_rt=tapas_fitModel(BehavHGF02.reactionTime, BehavHGF02.trialLR, 'tapas_hgf_binary_config','tapas_logrt_linear_binary_config','tapas_quasinewton_optim_config')
tapas_hgf_binary_plotTraj(est_rt);
cd ([dirScans, scans{t}, '\behav']);  
save('est_rt.mat','-struct','est_rt');


end